Results 1 to 5 of 5

Thread: How to ignore patches?

  1. #1

    Default How to ignore patches?

    Hello.

    I'm using Thunderbird 2.0. But /usr/bin/kupdateapplet constantly shows "patch:MozillaThunderbird-1658.noarch". I can't install this patch because Thunderbird 3 is broken for me. It doesn't have "Lightning" and "Funambol" extensions.

    So I want to mark this patch as permanently ignored. Is it possible? Any workaround?

    ----------------------------------------------------------
    zypper patch
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...

    Problem: patch:MozillaThunderbird-1658.noarch conflicts with MozillaThunderbird.x86_64 < 3.0.0-1.1.1 provided by MozillaThunderbird-2.0.0.23-2.3.x86_64
    Solution 1: Following actions will be done:
    install MozillaThunderbird-3.0.0-1.1.1.x86_64 (with vendor change)
    obs://build.opensuse.org/home:sergey1369 --> openSUSE
    replacement of MozillaThunderbird-translations-2.0.0.23-2.3.x86_64 with MozillaThunderbird-translations-other-3.0.0-1.1.1.x86_64
    Solution 2: do not install patch:MozillaThunderbird-1658.noarch

    Choose from above solutions by number or cancel [1/2/c] (c): 2
    Resolving dependencies...
    Resolving package dependencies...

    Nothing to do.
    -------------------------------------------------------------

  2. #2

    Default Re: How to ignore patches?

    The info used is the version in rpm database. You could have Thunderbird 2 installed without it looking like it's installed according to rpm and put Thunderbird 3 as Taboo. When YOU first came out, there were actual patch files and you could 'game' things faking an install of an unwanted patch to quieten it up.

    I've had similar issues in past, I think I tried running Yast->Online Update and marking a patch as taboo, but I am not sure that will be a permanent solution for kupdateapplet in your case.

  3. #3
    Join Date
    Oct 2008
    Location
    Lakeland, Florida
    Posts
    235

    Default Re: How to ignore patches?

    AFAIK there is no way to make the kupdateapplet ignore any kind of update.

    That's why I uninstalled it and use strictly zypper up for updates.

    If you lock a package in YaST zypper up will not update it.
    P5N-E SLI, Core2Duo E6850 @ 3GHZ, 2 GB DDR2 800MHZ
    EVGA 8800GTS 320MB, 2x320GB HDD
    Arctic Cooling Freezer 7 Pro

  4. #4
    Join Date
    Jun 2008
    Location
    where I am is where I am
    Posts
    1,164

    Default Re: How to ignore patches?

    Markcynt,
    Thanks for your it info saved me some aggravation. The updater at one time didn't have this problem. Why they changed it to this is just crazy!
    In my case it's a security update for Pidgin & I don't have it installed or use it!
    I'm just a curious cat
    My 64 bit: RADEON RX 570 |CPU AMD - Ryzen 5 1600
    MOTHERBOARD B450M D53H GGABYTE
    Opensuse Tumbleweed Plasma 5

  5. #5

    Smile Re: How to ignore patches?

    Thank you for help. The best way I've found was rename package Thunderbird to Thunderbird2 and recompile. So conflicts disappears and now I'm happy with old TB.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •